<!-- <h1 mat-dialog-title>Yang Data Tree</h1>
<div mat-dialog-content> -->



      <!-- <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item">
          <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home" aria-selected="true">Home</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" id="profile-tab" data-toggle="tab" href="#profile" role="tab" aria-controls="profile" aria-selected="false">Profile</a>
        </li>
      </ul>
      <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">


        </div>
        <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">...</div>

      </div> -->







            <div *ngIf="!nodeId"  class="intial-img text-center mt-3">
                <img src="../../../../../assets/img/tree.svg" alt="" width="100%">
                <p>There is no data</p>
            </div>
            <mat-card class="p-0">
                <mat-tree [dataSource]="dataSource" [treeControl]="treeControl">
                  <mat-tree-node  *matTreeNodeDef="let node" matTreeNodePadding matTreeNodePaddingIndent="15"
                                [class.example-tree-node-odd]="isOdd(node)">
                    <button mat-icon-button disabled>
                      <mat-icon class="leaf">
                        {{treeControl.isExpanded(node) ? 'expand_more' : 'chevron_right'}}
                      </mat-icon>
                    </button>
                    <label style="font-weight: 700;">
                      {{node.item.split(':')[0]}}
                    </label>
                    <div style="padding-left: 40px;color: #878080;">
                    {{node.item.split(':')[1]}}
                  </div>
                    <hr>
                  </mat-tree-node>
                  <mat-tree-node *matTreeNodeDef="let node;when: hasChildren" matTreeNodePadding matTreeNodePaddingIndent="15"
                                [class.example-tree-node-odd]="isOdd(node)">
                    <button mat-icon-button matTreeNodeToggle
                            [matTreeNodeToggleRecursive]="recursive"
                            [attr.aria-label]="'toggle ' + node.filename">
                          <mat-icon>
                            {{treeControl.isExpanded(node) ? 'expand_more' : 'chevron_right'}}
                          </mat-icon>
                        </button>

                        <label style="font-weight: 700;">
                        {{node.item.split('[')[0]}}
                      </label>

                      <div style="padding-left: 40px;color: #878080;">
                        {{   node.item.split('[')[1] ?  node.item.split('[')[1].split(']')[0] : node.item.split('[')[1] }}
                        </div>
                        <hr>
                  </mat-tree-node>
                </mat-tree>
            </mat-card>
<!-- </div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">Close</button>
</div> -->
